package jatek0001;

import jatek.GameData;

public class Jatek0001GameData extends GameData {
	
	//input adatok
	private String code;
	private String name;
	private String description;
	private String author;
	private String date;
	private String[] colLabels;
	private String[] rowLabels;
	private Double[][] data;
	private String gameInputHtmlContent;
	
	//output adatok
	
	private Double min;
	private Double max;
	
	private Double[] minByRows;
	private Double maxOfMinByRows;
	private String maxPair;
	
	private Double[] maxByRows;
	private Double minOfMaxByRows;
	private String minPair;
	
	private Double[][] rByCols;
	private Double[] maxByRowsR;
	private String minPairR;
	
	private String maxMaxPair;
	private Double[] avgByRows;
	private String avgMaxPair;
	
	private Double[][] bestChoice;
	private boolean toExcel=false;
	
	//getters-setters
	
	public Double[][] getBestChoice() {
		return bestChoice;
	}
	public void setBestChoice(Double[][] bestChoice) {
		this.bestChoice = bestChoice;
	}
	public String getAvgMaxPair() {
		return avgMaxPair;
	}
	public void setAvgMaxPair(String avgMaxPair) {
		this.avgMaxPair = avgMaxPair;
	}
	public Double[] getAvgByRows() {
		return avgByRows;
	}
	public void setAvgByRows(Double[] avgByRows) {
		this.avgByRows = avgByRows;
	}
	public String getMaxMaxPair() {
		return maxMaxPair;
	}
	public void setMaxMaxPair(String maxMaxPair) {
		this.maxMaxPair = maxMaxPair;
	}
	public String getMinPairR() {
		return minPairR;
	}
	public void setMinPairR(String minPairR) {
		this.minPairR = minPairR;
	}
	public Double[] getMaxByRowsR() {
		return maxByRowsR;
	}
	public void setMaxByRowsR(Double[] maxByRowsR) {
		this.maxByRowsR = maxByRowsR;
	}
	public Double[][] getRByCols() {
		return rByCols;
	}
	public void setRByCols(Double[][] byCols) {
		rByCols = byCols;
	}
	public String getMinPair() {
		return minPair;
	}
	public void setMinPair(String minPair) {
		this.minPair = minPair;
	}
	public Double getMinOfMaxByRows() {
		return minOfMaxByRows;
	}
	public void setMinOfMaxByRows(Double minOfMaxByRows) {
		this.minOfMaxByRows = minOfMaxByRows;
	}
	public Double[] getMaxByRows() {
		return maxByRows;
	}
	public void setMaxByRows(Double[] maxByRows) {
		this.maxByRows = maxByRows;
	}
	public String getMaxPair() {
		return maxPair;
	}
	public void setMaxPair(String maxPair) {
		this.maxPair = maxPair;
	}
	public Double getMaxOfMinByRows() {
		return maxOfMinByRows;
	}
	public void setMaxOfMinByRows(Double maxOfMinByRows) {
		this.maxOfMinByRows = maxOfMinByRows;
	}
	public Double[] getMinByRows() {
		return minByRows;
	}
	public void setMinByRows(Double[] minByRows) {
		this.minByRows = minByRows;
	}
	public Double getMax() {
		return max;
	}
	public void setMax(Double max) {
		this.max = max;
	}
	public Double getMin() {
		return min;
	}
	public void setMin(Double min) {
		this.min = min;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String[] getColLabels() {
		return colLabels;
	}
	public void setColLabels(String[] colLabels) {
		this.colLabels = colLabels;
	}
	public String[] getRowLabels() {
		return rowLabels;
	}
	public void setRowLabels(String[] rowLabels) {
		this.rowLabels = rowLabels;
	}
	public Double[][] getData() {
		return data;
	}
	public void setData(Double[][] data) {
		this.data = data;
	}
	public String getGameInputHtmlContent() {
		return gameInputHtmlContent;
	}
	public void setGameInputHtmlContent(String gameInputHtmlContent) {
		this.gameInputHtmlContent = gameInputHtmlContent;
	}
	public boolean isToExcel() {
		return toExcel;
	}
	public void setToExcel(boolean toExcel) {
		this.toExcel = toExcel;
	}
	
}
